Can't Instal Lunitics ATI Apps


log in

Advanced search

Message boards : Number crunching : Can't Instal Lunitics ATI Apps

Author Message
Profile Sean
Volunteer tester
Send message
Joined: 26 Dec 09
Posts: 3
Credit: 308,895
RAC: 0
Australia
Message 1351145 - Posted: 27 Mar 2013, 13:21:37 UTC

I have recently got back into Seti but I am having trouble installing the optimised ATI GPU apps from Lunatics. In the past I think I ran the app which has been removed temporarily. Now I am trying to install both:

ATI GPU-only AstroPulse for Windows
ATI OpenCL MultiBeam for Windows <- Is this one obsolete?

Card is ATI 5770

In the stderr for AP I have:

00:14:41 (2484): Can't open init data file - running in standalone mode
00:14:41 (2484): Can't open init data file - running in standalone mode
Priority of worker thread raised successfully
Priority of process adjusted successfully, below normal priority class used
00:14:41 (2484): Can't open init data file - running in standalone mode
OpenCL platform detected: Advanced Micro Devices, Inc.
WARNING: BOINC supplied wrong platform!
BOINC assigns device 0
WARNING: BOINC failed to provide OpenCL device, using own enumeration abilities
Used GPU device parameters are:
Number of compute units: 10
Single buffer allocation size: 256MB
max WG size: 256
Error opening wufile in.dat: No such file or directory


And the Stderr for MB is:

23:55:39 (3656): Can't open init data file - running in standalone mode
23:55:39 (3656): Can't open init data file - running in standalone mode
Not using mb_cmdline.txt-file, using commandline options.
Priority of worker thread raised successfully
Priority of process adjusted successfully, below normal priority class used
23:55:39 (3656): Can't open init data file - running in standalone mode
OpenCL platform detected: Advanced Micro Devices, Inc.
WARNING: BOINC supplied wrong platform!
BOINC assigns device 0
WARNING: BOINC failed to provide OpenCL device, using own enumeration abilities
SETI@home error -5 Can't open file
(work_unit.sah) in read_wu_state() errno=2

File: ..\worker.cpp
Line: 134

Just to be clear it is meant to be as easy as running the .exe right? I am running Boinc 7.0.44, is that compatable? Also, can I just copy the app_info.xml from the read-me, instead of running the installer? :/

Sorry for all the questions but thanks for reading. :)

Profile William
Volunteer tester
Avatar
Send message
Joined: 14 Feb 13
Posts: 1572
Credit: 9,251,251
RAC: 12,773
Message 1351158 - Posted: 27 Mar 2013, 14:14:19 UTC - in response to Message 1351145.

I have recently got back into Seti but I am having trouble installing the optimised ATI GPU apps from Lunatics. In the past I think I ran the app which has been removed temporarily. Now I am trying to install both:

ATI GPU-only AstroPulse for Windows
ATI OpenCL MultiBeam for Windows <- Is this one obsolete?

Card is ATI 5770

Just to be clear it is meant to be as easy as running the .exe right? I am running Boinc 7.0.44, is that compatable? Also, can I just copy the app_info.xml from the read-me, instead of running the installer? :/

Sorry for all the questions but thanks for reading. :)


Errr... No, unless you used sloppy wording. YOU don't run the exe, boinc runs the exe.
Those 'standalone' lines look suspiciously like you started the .exe yourself - and then it doesn't know anything about the tasks in your system.
You install the app (place in project dir) and then you tell Boinc that you have it (write appproproate app_info.xml).

If you still have an old installer available, that's your easiest starting point. It will install all the types of app you want. It will also write an app_info.xml for you. You can then manually upgrade the apps by adding the approprate .exe into the project Dir and adjusting app_info.xml by using the example in the readme. You basically just need to change the filenames.

Believe me, unless you have a lot of experience with doing you own app_info.xml running an installer is far easier ;)

There are no compatibilty issues with any boinc version. There are lots of compatibility issues with driver versions though - you'll have to wait for the Ati guys to look at that. You are running an intermediate alpha build though with 7.0.44 - I suggest you upgrade to 7.0.58 as it's a release candidate.
____________
A person who won't read has no advantage over one who can't read. (Mark Twain)

Profile Sean
Volunteer tester
Send message
Joined: 26 Dec 09
Posts: 3
Credit: 308,895
RAC: 0
Australia
Message 1351318 - Posted: 28 Mar 2013, 0:14:48 UTC - in response to Message 1351158.

Thanks, that would definitely explain why it's not working -I was trying to use it as an installer. I think I will have to have a go at writing my own app_info.xml because I no longer have the installer. Otherwise I'll just wait until the new one is released. I'll upgrade Boinc to 7.0.58 as well. Thanks very much for your help.

Message boards : Number crunching : Can't Instal Lunitics ATI Apps

Copyright © 2014 University of California